Sisimai::Reason::FailedSTARTTLS(3pm)

NAME
Sisimai::Reason::FailedSTARTTLS - Bounce reason is "FailedSTARTTLS" or not.

SYNOPSIS
    use Sisimai::Reason::FailedSTARTTLS;
    print Sisimai::Reason::FailedSTARTTLS->match('5.7.10 STARTTLS is required to send mail');   # 1

DESCRIPTION
"Sisimai::Reason::FailedSTARTTLS" checks the bounce reason is "FailedSTARTTLS" or not. This class is called only "Sisimai::Reason" class. This is the error related to STARTTLS, DANE, MTA-STS, and so on.

CLASS METHODS

  "text()"
text() method returns the fixed string "failedstarttls".

    print Sisimai::Reason::FailedSTARTTLS->text;  # failedstarttls

  "match(string)"
match() method returns 1 if the argument matched with patterns defined in this class.

    print Sisimai::Reason::FailedSTARTTLS->match('5.7.10 STARTTLS is required to send mail');   # 1

  "true(Sisimai::Fact)"
true() method returns 1 if the bounce reason is "FailedSTARTTLS". The argument must be "Sisimai::Fact" object and this method is called only from "Sisimai::Reason" class.

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2024-2025 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.